Subject: Re: bug#3984: Fix for #3984

From: Ryan <[email-masked]>
Date: Fri, 13 Sep 2013 11:30:37 -0700

Looking at the code in trunk, I see that there is a special hook for 
functions to decide which stack frames to skip over when looking for 
call-interactively. I still think they should relax the test for 
equality to "equal indirect-functions" instead of exactly the symbol 
call-interactively.

On Fri Sep 13 06:18:50 2013, Stefan Monnier wrote:
>> I "fixed" this in my ido-ubiquitous package by completely reimplementing
>> "called-interactively-p" and "interactive-p" in pure elisp:
>
> FWIW, called-interactively-p is already implemented in Elisp in
> Emacs's trunk.
>
>
>          Stefan